------------------------------
-- Localize Lua Globals
------------------------------
local _G = getfenv(0)
local select = _G.select
local pairs  = _G.pairs
local type   = _G.type

------------------------------
-- Addon Namespace
------------------------------
local MODNAME = "Skill Guide"
local addon   = LibStub("AceAddon-3.0"):GetAddon(MODNAME)
local L       = LibStub("AceLocale-3.0"):GetLocale(MODNAME)

------------------------------
-- WoW Namespace
------------------------------
local CreateFrame = _G.CreateFrame


local private = select(2, ...)


function addon:CreateOptButton()
  self:Print("in CreateOptButton")
  local optButton = CreateFrame("Button", nil, TradeSkillFrame, "UIPanelButtonTemplate")
  
  if not optButton then
    optButton:SetHeight(20)
    optButton:RegisterForClicks("LeftButtonUp")
    optButton:SetText(L["Optimize"])
  end
  
  -- Set the frame level of the button to be 1 higher than its parent
  local parent = optButton:GetParent()
  optButton:SetFrameLevel(parent:GetFrameLevel() + 1)
  optButton:SetFrameStrata(parent:GetFrameStrata())
  optButton:Enable()
  
  self.optButton = optButton
  return optButtton
end
